RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2057676 - routine rebase of dyninst for rhel 8.7
Summary: routine rebase of dyninst for rhel 8.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dyninst
Version: 8.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Stan Cox
QA Contact: Martin Cermak
Jacob Taylor Valdez
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-23 20:16 UTC by William Cohen
Modified: 2023-09-18 04:32 UTC (History)
3 users (show)

Fixed In Version: dyninst-12.1.0-1.el8
Doc Type: Enhancement
Doc Text:
.The `dyninst` packaged rebased to version 12.1 The `dyninst` package has been rebased to version 12.1. Notable bug fixes and enhancements include: * Initial support for `glibc-2.35` multiple namespaces. * Concurrency fixes for DWARF parallel parsing. * Better support for the `CUDA` and `CDNA2` GPU binaries. * Better support for IBM POWER Systems (little endian) register access. * Better support for PIE binaries. * Corrected parsing for catch blocks. * Corrected access to 64-bit ARM (`aarch64`) floating point registers.
Clone Of:
Environment:
Last Closed: 2022-11-08 09:24:10 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-113347 0 None None None 2022-02-23 22:11:57 UTC
Red Hat Product Errata RHBA-2022:7518 0 None None None 2022-11-08 09:24:11 UTC

Description William Cohen 2022-02-23 20:16:53 UTC
Freshen dyninst to 12.x.

Comment 7 Stan Cox 2022-10-17 18:37:09 UTC
doc text looks good

Comment 9 errata-xmlrpc 2022-11-08 09:24:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (dyninst bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:7518

Comment 10 Red Hat Bugzilla 2023-09-18 04:32:35 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 120 days


Note You need to log in before you can comment on or make changes to this bug.